java.nio.Bits.unaligned() doesn't return true on ppc

Bug #1677612 reported by bugproxy on 2017-03-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openjdk-8 (Ubuntu)
Undecided
Tiago Stürmer Daitx

Bug Description

== Comment: #0 - Gustavo Bueno Romero <email address hidden> - 2017-03-30 08:16:11 ==
---Problem Description---
Some open sources (such as Spark 2.0) check java.nio.Bits.unaligned() to recognize support of unaligned memory access in the platform but ppc64 arch is not included although it supports it

---uname output---
Linux gromero16 4.4.0-67-generic #88-Ubuntu SMP Wed Mar 8 16:33:13 UTC 2017 ppc64le ppc64le ppc64le GNU/Linux

Machine Type = not relevant

---Debugger---
A debugger is not configured

---Steps to Reproduce---
 The following test-case returns "false" but must return "true" if the problem is fixed:

import java.lang.reflect.Field;
public class UnalignedTest {
    public static void main(String[] args) throws Exception {
        Class clazz = Class.forName("java.nio.DirectByteBuffer");
        Field field = clazz.getDeclaredField("unaligned");
        field.setAccessible(true);
        System.out.println(field.getBoolean(null));
    }
}

Contact Information = <email address hidden>

Userspace tool common name: java

The userspace tool has the following bit modes: 64-bit

Userspace rpm: 8u121-b13-0ubuntu1.16.04.2

Userspace tool obtained from project website: na

*Additional Instructions for <email address hidden>:
-Attach ltrace and strace of userspace application.

== Comment: #1 - Gustavo Bueno Romero <email address hidden> - 2017-03-30 08:18:20 ==
Dear maintainer, please consider applying the fix that is already upstream on 8u:
https://bugs.openjdk.java.net/browse/JDK-8165231

bugproxy (bugproxy) on 2017-03-30
tags: added: architecture-ppc64 bugnameltc-153037 severity-medium targetmilestone-inin16043
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → openjdk-8 (Ubuntu)

Steve,

This looks like one for Foundations to pick up.

                  Michael

On 03/30/2017 06:39 AM, Launchpad Bug Tracker wrote:
> bugproxy (bugproxy) has assigned this bug to you for Ubuntu:
>
> == Comment: #0 - Gustavo Bueno Romero <email address hidden> - 2017-03-30 08:16:11 ==
> ---Problem Description---
> Some open sources (such as Spark 2.0) check java.nio.Bits.unaligned() to recognize support of unaligned memory access in the platform but ppc64 arch is not included although it supports it
>
> ---uname output---
> Linux gromero16 4.4.0-67-generic #88-Ubuntu SMP Wed Mar 8 16:33:13 UTC 2017 ppc64le ppc64le ppc64le GNU/Linux
>
> Machine Type = not relevant
>
> ---Debugger---
> A debugger is not configured
>
> ---Steps to Reproduce---
> The following test-case returns "false" but must return "true" if the problem is fixed:
>
> import java.lang.reflect.Field;
> public class UnalignedTest {
> public static void main(String[] args) throws Exception {
> Class clazz = Class.forName("java.nio.DirectByteBuffer");
> Field field = clazz.getDeclaredField("unaligned");
> field.setAccessible(true);
> System.out.println(field.getBoolean(null));
> }
> }
>
> Contact Information = <email address hidden>
>
> Userspace tool common name: java
>
> The userspace tool has the following bit modes: 64-bit
>
> Userspace rpm: 8u121-b13-0ubuntu1.16.04.2
>
> Userspace tool obtained from project website: na
>
> *Additional Instructions for <email address hidden>:
> -Attach ltrace and strace of userspace application.
>
> == Comment: #1 - Gustavo Bueno Romero <email address hidden> - 2017-03-30 08:18:20 ==
> Dear maintainer, please consider applying the fix that is already upstream on 8u:
> https://bugs.openjdk.java.net/browse/JDK-8165231
>
> ** Affects: ubuntu
> Importance: Undecided
> Assignee: Taco Screen team (taco-screen-team)
> Status: New
>
>
> ** Tags: architecture-ppc64 bugnameltc-153037 severity-medium targetmilestone-inin16043

--
Michael Hohnbaum
OIL Program Manager
Power (ppc64el) Development Project Manager
Canonical, Ltd.

Steve Langasek (vorlon) wrote :

Since this is already landed upstream, I suppose we would pick this up as part of the quarterly security update; but assigning to Tiago to confirm / track.

Changed in openjdk-8 (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Tiago Stürmer Daitx (tdaitx)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjdk-8 - 8u131-b11-1

---------------
openjdk-8 (8u131-b11-1) unstable; urgency=high

  * Update to 8u131-b11, Hotspot 8u112-b12 for AArch64.
  * Security fixes:
    - S8167110, CVE-2017-3514: Windows peering issue.
    - S8165626, CVE-2017-3512: Improved window framing.
    - S8163528, CVE-2017-3511: Better library loading.
    - S8169011, CVE-2017-3526: Resizing XML parse trees.
    - S8163520, CVE-2017-3509: Reuse cache entries.
    - S8171533, CVE-2017-3544: Better email transfer.
    - S8170222, CVE-2017-3533: Better transfers of files.
    - S8171121, CVE-2017-3539: Enhancing jar checking.

  [ Tiago Stürmer Daitx ]
  * d/p/jdk-ppc64el-S8165231.diff: fixes java.nio.Bits.unaligned() on
    ppc64el. LP: #1677612.
  * debian/buildwatch.sh: updated to stop it if no 'make' process is running,
    as it probably means that the build failed - otherwise buildwatch keeps
    the builder alive until it exits after the timer (3 hours by default)
    expires.

  [ Matthias Klose ]
  * openjdk-8-jre-headless: Add a break for tzdata-java. Closes: #857992.
  * Use fonts-wqy-microhei and fonts-wqy-zenhei instead of transitional package
    names. Closes: #859528.

 -- Matthias Klose <email address hidden> Mon, 01 May 2017 19:28:19 +0700

Changed in openjdk-8 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers